%define name gurlchecker
%define version 0.13
%define release %mkrel 1
%define __libtoolize /bin/true

Summary:	Web page link validation program
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
URL:		http://www.nongnu.org/gurlchecker/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Source:		http://labs.libre-entreprise.org/download/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnet-2.0_0-devel
BuildRequires:	ImageMagick
BuildRequires:  perl-XML-Parser
BuildRequires:  libcroco0.6_3-devel
BuildRequires:  libclamav-devel
BuildRequires:  gnutls-devel
BuildRequires:  libtidy-devel
BuildRequires:  docbook-utils
BuildRequires:  openjade
Requires:  libgnet-2.0_0
Obsoletes: %name < %version

%description
gURLChecker is a graphical web link checker. It can work on a whole
site, a single local page or a browser bookmarks file.

%prep
%setup -q

%build
%configure2_5x 


%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
     --remove-category="Application" \
     --add-category="Network" \
     --add-category="X-MandrivaLinux-Internet-Other" \
     --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
convert -scale 48 ui/%{name}_icon.png %{buildroot}%{_liconsdir}/%{name}.png
convert -scale 32 ui/%{name}_icon.png %{buildroot}%{_iconsdir}/%{name}.png
convert -scale 16 ui/%{name}_icon.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%exclude %{_datadir}/doc/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/gtk-doc/html/
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sat Feb 13 2010 slick50 <lxgator@gmail.com> 1.13-1pclos2010
- 0.13

* Sat Feb 06 2010 slick50 <lxgator@gmail.com> 1.12.1-1pclos2010
- 0.12.1

* Tue Feb 02 2010 slick50 <lxgator@gmail.com> 1.12-1pclos2010
- 0.12

* Sun Nov 08 2009 slick50 <lxgator@gmail.com> 1.11.1-1pclos2010
- initial pkg

